<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAttributeTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('attribute_types', function (Blueprint $table) {
            $table->increments('id');

            $table->unsignedInteger('parent_id')->index()->nullable();
            $table->string('name')->index();
            $table->string('description')->nullable();
            $table->text('trans_name')->nullable();
            $table->tinyInteger('pos')->unsigned()->nullable();
            $table->boolean('active')->default(true);

            $table->string('slug')->unique()->index();


            $table->timestamps();

            $table->foreign('parent_id')
                ->references('id')
                ->on('attributes');

      
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('attribute_types');
    }
}
